This folder has my second masterpiece for the CellSociety project. For my masterpiece I wanted to highlight the CellSocietyMovement interface that I made in order to make the CellSocietyModel much cleaner and follow interface-segregation principle to only have games that required movement use this interface. I have included the CellSocietyMovement interface, as well as the SchellingSegregationMovement class that implements this interface. I also included the property bundle of SchellingSegregation states for convenience. Finally, I included the SchellingSegregationModel (which extends CellSocietyModel) to show how the CellSocietyMovement class is called. My focus is on the CellSocietyMovement, so the SchellingSegregationModel and state property files are added for ease in understanding the connectedness of this movement interface to the model as a whole.